## gcc-cross-support 0

=== debian/changelog ===
gcc-cross-support (0) unstable; urgency=medium

  * Initial release.

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 18 Aug 2014 13:01:47 +0200
