=== debian/control ===
Source: gcc-cross-support
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Section: devel
Priority: extra
Maintainer: Helmut Grohne <helmut@subdivi.de>

Package: gcc-cross
Architecture: any
Multi-Arch: same
Depends: gcc-${host:gnu-type}
Description: brings in a compiler for the architecture of the depending package
 Ensures that there is a <triplet>-gcc binary that can create binaries for the
 architecture of the depending package.

Package: gcc-for-build
Architecture: all
Multi-Arch: foreign
Depends: gcc
Description: bring in compiler for building build architecture binaries
 Ensures that there is a gcc binary that can create executable build
 architecture binaries.

Package: gcc-arm-linux-gnueabihf
Architecture: armhf
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting arm-linux-gnueabihf
 Ensures that there is a arm-linux-gnueabihf-gcc that can create binaries for arm-linux-gnueabihf.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-arm-linux-gnueabi
Architecture: armel
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting arm-linux-gnueabi
 Ensures that there is a arm-linux-gnueabi-gcc that can create binaries for arm-linux-gnueabi.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-mips64-linux-gnuabin32
Architecture: mipsn32
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting mips64-linux-gnuabin32
 Ensures that there is a mips64-linux-gnuabin32-gcc that can create binaries for mips64-linux-gnuabin32.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-mips64el-linux-gnuabin32
Architecture: mipsn32el
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting mips64el-linux-gnuabin32
 Ensures that there is a mips64el-linux-gnuabin32-gcc that can create binaries for mips64el-linux-gnuabin32.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-mips64-linux-gnuabi64
Architecture: mips64
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting mips64-linux-gnuabi64
 Ensures that there is a mips64-linux-gnuabi64-gcc that can create binaries for mips64-linux-gnuabi64.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-mips64el-linux-gnuabi64
Architecture: mips64el
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting mips64el-linux-gnuabi64
 Ensures that there is a mips64el-linux-gnuabi64-gcc that can create binaries for mips64el-linux-gnuabi64.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-powerpc-linux-gnuspe
Architecture: powerpcspe
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting powerpc-linux-gnuspe
 Ensures that there is a powerpc-linux-gnuspe-gcc that can create binaries for powerpc-linux-gnuspe.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-x86-64-linux-gnux32
Architecture: x32
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting x86_64-linux-gnux32
 Ensures that there is a x86_64-linux-gnux32-gcc that can create binaries for x86_64-linux-gnux32.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-i486-linux-gnulp
Architecture: lpia
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting i486-linux-gnulp
 Ensures that there is a i486-linux-gnulp-gcc that can create binaries for i486-linux-gnulp.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-i486-linux-gnu
Architecture: i386
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting i486-linux-gnu
 Ensures that there is a i486-linux-gnu-gcc that can create binaries for i486-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-ia64-linux-gnu
Architecture: ia64
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting ia64-linux-gnu
 Ensures that there is a ia64-linux-gnu-gcc that can create binaries for ia64-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-alpha-linux-gnu
Architecture: alpha
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting alpha-linux-gnu
 Ensures that there is a alpha-linux-gnu-gcc that can create binaries for alpha-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-x86-64-linux-gnu
Architecture: amd64
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting x86_64-linux-gnu
 Ensures that there is a x86_64-linux-gnu-gcc that can create binaries for x86_64-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-armeb-linux-gnu
Architecture: armeb
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting armeb-linux-gnu
 Ensures that there is a armeb-linux-gnu-gcc that can create binaries for armeb-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-arm-linux-gnu
Architecture: arm
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting arm-linux-gnu
 Ensures that there is a arm-linux-gnu-gcc that can create binaries for arm-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-aarch64-linux-gnu
Architecture: arm64
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting aarch64-linux-gnu
 Ensures that there is a aarch64-linux-gnu-gcc that can create binaries for aarch64-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-avr32-linux-gnu
Architecture: avr32
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting avr32-linux-gnu
 Ensures that there is a avr32-linux-gnu-gcc that can create binaries for avr32-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-hppa-linux-gnu
Architecture: hppa
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting hppa-linux-gnu
 Ensures that there is a hppa-linux-gnu-gcc that can create binaries for hppa-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-m32r-linux-gnu
Architecture: m32r
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting m32r-linux-gnu
 Ensures that there is a m32r-linux-gnu-gcc that can create binaries for m32r-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-m68k-linux-gnu
Architecture: m68k
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting m68k-linux-gnu
 Ensures that there is a m68k-linux-gnu-gcc that can create binaries for m68k-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-mips-linux-gnu
Architecture: mips
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting mips-linux-gnu
 Ensures that there is a mips-linux-gnu-gcc that can create binaries for mips-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-mipsel-linux-gnu
Architecture: mipsel
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting mipsel-linux-gnu
 Ensures that there is a mipsel-linux-gnu-gcc that can create binaries for mipsel-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-or1k-linux-gnu
Architecture: or1k
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting or1k-linux-gnu
 Ensures that there is a or1k-linux-gnu-gcc that can create binaries for or1k-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-powerpc-linux-gnu
Architecture: powerpc
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting powerpc-linux-gnu
 Ensures that there is a powerpc-linux-gnu-gcc that can create binaries for powerpc-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-powerpc64-linux-gnu
Architecture: ppc64
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting powerpc64-linux-gnu
 Ensures that there is a powerpc64-linux-gnu-gcc that can create binaries for powerpc64-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-powerpc64le-linux-gnu
Architecture: ppc64el
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting powerpc64le-linux-gnu
 Ensures that there is a powerpc64le-linux-gnu-gcc that can create binaries for powerpc64le-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-s390-linux-gnu
Architecture: s390
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting s390-linux-gnu
 Ensures that there is a s390-linux-gnu-gcc that can create binaries for s390-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-s390x-linux-gnu
Architecture: s390x
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting s390x-linux-gnu
 Ensures that there is a s390x-linux-gnu-gcc that can create binaries for s390x-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-sh3-linux-gnu
Architecture: sh3
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting sh3-linux-gnu
 Ensures that there is a sh3-linux-gnu-gcc that can create binaries for sh3-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-sh3eb-linux-gnu
Architecture: sh3eb
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting sh3eb-linux-gnu
 Ensures that there is a sh3eb-linux-gnu-gcc that can create binaries for sh3eb-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-sh4-linux-gnu
Architecture: sh4
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting sh4-linux-gnu
 Ensures that there is a sh4-linux-gnu-gcc that can create binaries for sh4-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-sh4eb-linux-gnu
Architecture: sh4eb
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting sh4eb-linux-gnu
 Ensures that there is a sh4eb-linux-gnu-gcc that can create binaries for sh4eb-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-sparc-linux-gnu
Architecture: sparc
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting sparc-linux-gnu
 Ensures that there is a sparc-linux-gnu-gcc that can create binaries for sparc-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-sparc64-linux-gnu
Architecture: sparc64
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting sparc64-linux-gnu
 Ensures that there is a sparc64-linux-gnu-gcc that can create binaries for sparc64-linux-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-i486-kfreebsd-gnu
Architecture: kfreebsd-i386
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting i486-kfreebsd-gnu
 Ensures that there is a i486-kfreebsd-gnu-gcc that can create binaries for i486-kfreebsd-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-ia64-kfreebsd-gnu
Architecture: kfreebsd-ia64
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting ia64-kfreebsd-gnu
 Ensures that there is a ia64-kfreebsd-gnu-gcc that can create binaries for ia64-kfreebsd-gnu.
 When crossing this package must be provided by the cross toolchain.

Package: gcc-alpha-kfreebsd-gnu
Architecture: kfreebsd-alpha
Multi-Arch: foreign
Depends: gcc
Description: brings in a compiler targeting alpha-kfreebsd-gnu
