=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

control:debian/control
	:

override_dh_auto_configure:debian/control
	:

override_dh_gencontrol:
	dh_gencontrol -- "-Vhost:gnu-type=`dpkg-architecture -qDEB_HOST_GNU_TYPE | tr _ -`"

debian/control:debian/control.in
	sh $< > $@
