## gcc-cross-support 1

=== debian/changelog ===
gcc-cross-support (1) experimental; urgency=medium

  * Do not regenerate debian/control to comply with ftp master policy.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 24 Aug 2014 08:15:19 +0200

gcc-cross-support (0) experimental; urgency=medium

  * Initial release.

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 18 Aug 2014 13:01:47 +0200
