=== debian/control ===
Source: gcc-cross-support
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Section: devel
Priority: extra
Maintainer: Helmut Grohne <helmut@subdivi.de>

Package: gcc-for-host
Architecture: any
Multi-Arch: same
Depends: gcc-${host:gnu-type}
Description: provides gcc targeting reverse dependencies' architectures
 Ensures that there is a <triplet>-gcc binary that can create binaries for the
 architecture of the depending package. In particular, packages depending on
 this package must not use /usr/bin/gcc.

Package: gcc-for-build
Architecture: all
Multi-Arch: foreign
Depends: gcc
Description: provides gcc for building build architecture binaries
 Ensures that there is a gcc binary that can create executable build
 architecture binaries. No provitions are made about the build architecture
 besides being executable.

Package: g++-for-host
Architecture: any
Multi-Arch: same
Depends: g++-${host:gnu-type}
Description: provides g++ targeting reverse dependencies' architectures
 Ensures that there is a <triplet>-g++ binary that can create binaries for the
 architecture of the depending package. In particular, packages depending on
 this package must not use /usr/bin/g++.

Package: g++-for-build
Architecture: all
Multi-Arch: foreign
Depends: g++
Description: provides g++ for building build architecture binaries
 Ensures that there is a g++ binary that can create executable build
 architecture binaries. No provitions are made about the build architecture
 besides being executable.

Package: cpp-for-host
Architecture: any
Multi-Arch: same
Depends: cpp-${host:gnu-type}
Description: provides cpp targeting reverse dependencies' architectures
 Ensures that there is a <triplet>-cpp binary that can create binaries for the
 architecture of the depending package. In particular, packages depending on
 this package must not use /usr/bin/cpp.

Package: cpp-for-build
Architecture: all
Multi-Arch: foreign
Depends: cpp
Description: provides cpp for building build architecture binaries
 Ensures that there is a cpp binary that can create executable build
 architecture binaries. No provitions are made about the build architecture
 besides being executable.

Package: gfortran-for-host
Architecture: any
Multi-Arch: same
Depends: gfortran-${host:gnu-type}
Description: provides gfortran targeting reverse dependencies' architectures
 Ensures that there is a <triplet>-gfortran binary that can create binaries for the
 architecture of the depending package. In particular, packages depending on
 this package must not use /usr/bin/gfortran.

Package: gfortran-for-build
Architecture: all
Multi-Arch: foreign
Depends: gfortran
Description: provides gfortran for building build architecture binaries
 Ensures that there is a gfortran binary that can create executable build
 architecture binaries. No provitions are made about the build architecture
 besides being executable.

Package: gcc-arm-linux-gnueabihf
Architecture: armhf
Multi-Arch: foreign
Depends: gcc
Description: brings in gcc targeting arm-linux-gnueabihf
 Ensures that there is a arm-linux-gnueabihf-gcc program that can create
 binaries for arm-linux-gnueabihf. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/gcc.

Package: g++-arm-linux-gnueabihf
Architecture: armhf
Multi-Arch: foreign
Depends: g++
Description: brings in g++ targeting arm-linux-gnueabihf
 Ensures that there is a arm-linux-gnueabihf-g++ program that can create
 binaries for arm-linux-gnueabihf. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/g++.

Package: cpp-arm-linux-gnueabihf
Architecture: armhf
Multi-Arch: foreign
Depends: cpp
Description: brings in cpp targeting arm-linux-gnueabihf
 Ensures that there is a arm-linux-gnueabihf-cpp program that can create
 binaries for arm-linux-gnueabihf. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/cpp.

Package: gfortran-arm-linux-gnueabihf
Architecture: armhf
Multi-Arch: foreign
Depends: gfortran
Description: brings in gfortran targeting arm-linux-gnueabihf
 Ensures that there is a arm-linux-gnueabihf-gfortran program that can create
 binaries for arm-linux-gnueabihf. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/gfortran.

Package: gcc-arm-linux-gnueabi
Architecture: armel
Multi-Arch: foreign
Depends: gcc
Description: brings in gcc targeting arm-linux-gnueabi
 Ensures that there is a arm-linux-gnueabi-gcc program that can create
 binaries for arm-linux-gnueabi. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/gcc.

Package: g++-arm-linux-gnueabi
Architecture: armel
Multi-Arch: foreign
Depends: g++
Description: brings in g++ targeting arm-linux-gnueabi
 Ensures that there is a arm-linux-gnueabi-g++ program that can create
 binaries for arm-linux-gnueabi. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/g++.

Package: cpp-arm-linux-gnueabi
Architecture: armel
Multi-Arch: foreign
Depends: cpp
Description: brings in cpp targeting arm-linux-gnueabi
 Ensures that there is a arm-linux-gnueabi-cpp program that can create
 binaries for arm-linux-gnueabi. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/cpp.

Package: gfortran-arm-linux-gnueabi
Architecture: armel
Multi-Arch: foreign
Depends: gfortran
Description: brings in gfortran targeting arm-linux-gnueabi
 Ensures that there is a arm-linux-gnueabi-gfortran program that can create
 binaries for arm-linux-gnueabi. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/gfortran.

Package: gcc-mips64-linux-gnuabin32
Architecture: mipsn32
Multi-Arch: foreign
Depends: gcc
Description: brings in gcc targeting mips64-linux-gnuabin32
 Ensures that there is a mips64-linux-gnuabin32-gcc program that can create
 binaries for mips64-linux-gnuabin32. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/gcc.

Package: g++-mips64-linux-gnuabin32
Architecture: mipsn32
Multi-Arch: foreign
Depends: g++
Description: brings in g++ targeting mips64-linux-gnuabin32
 Ensures that there is a mips64-linux-gnuabin32-g++ program that can create
 binaries for mips64-linux-gnuabin32. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/g++.

Package: cpp-mips64-linux-gnuabin32
Architecture: mipsn32
Multi-Arch: foreign
Depends: cpp
Description: brings in cpp targeting mips64-linux-gnuabin32
 Ensures that there is a mips64-linux-gnuabin32-cpp program that can create
 binaries for mips64-linux-gnuabin32. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/cpp.

Package: gfortran-mips64-linux-gnuabin32
Architecture: mipsn32
Multi-Arch: foreign
Depends: gfortran
Description: brings in gfortran targeting mips64-linux-gnuabin32
 Ensures that there is a mips64-linux-gnuabin32-gfortran program that can create
 binaries for mips64-linux-gnuabin32. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/gfortran.

Package: gcc-mips64el-linux-gnuabin32
Architecture: mipsn32el
Multi-Arch: foreign
Depends: gcc
Description: brings in gcc targeting mips64el-linux-gnuabin32
 Ensures that there is a mips64el-linux-gnuabin32-gcc program that can create
 binaries for mips64el-linux-gnuabin32. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/gcc.

Package: g++-mips64el-linux-gnuabin32
Architecture: mipsn32el
Multi-Arch: foreign
Depends: g++
Description: brings in g++ targeting mips64el-linux-gnuabin32
 Ensures that there is a mips64el-linux-gnuabin32-g++ program that can create
 binaries for mips64el-linux-gnuabin32. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/g++.

Package: cpp-mips64el-linux-gnuabin32
Architecture: mipsn32el
Multi-Arch: foreign
Depends: cpp
Description: brings in cpp targeting mips64el-linux-gnuabin32
 Ensures that there is a mips64el-linux-gnuabin32-cpp program that can create
 binaries for mips64el-linux-gnuabin32. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/cpp.

Package: gfortran-mips64el-linux-gnuabin32
Architecture: mipsn32el
Multi-Arch: foreign
Depends: gfortran
Description: brings in gfortran targeting mips64el-linux-gnuabin32
 Ensures that there is a mips64el-linux-gnuabin32-gfortran program that can create
 binaries for mips64el-linux-gnuabin32. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/gfortran.

Package: gcc-mips64-linux-gnuabi64
Architecture: mips64
Multi-Arch: foreign
Depends: gcc
Description: brings in gcc targeting mips64-linux-gnuabi64
 Ensures that there is a mips64-linux-gnuabi64-gcc program that can create
 binaries for mips64-linux-gnuabi64. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/gcc.

Package: g++-mips64-linux-gnuabi64
Architecture: mips64
Multi-Arch: foreign
Depends: g++
Description: brings in g++ targeting mips64-linux-gnuabi64
 Ensures that there is a mips64-linux-gnuabi64-g++ program that can create
 binaries for mips64-linux-gnuabi64. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/g++.

Package: cpp-mips64-linux-gnuabi64
Architecture: mips64
Multi-Arch: foreign
Depends: cpp
Description: brings in cpp targeting mips64-linux-gnuabi64
 Ensures that there is a mips64-linux-gnuabi64-cpp program that can create
 binaries for mips64-linux-gnuabi64. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/cpp.

Package: gfortran-mips64-linux-gnuabi64
Architecture: mips64
Multi-Arch: foreign
Depends: gfortran
Description: brings in gfortran targeting mips64-linux-gnuabi64
 Ensures that there is a mips64-linux-gnuabi64-gfortran program that can create
 binaries for mips64-linux-gnuabi64. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/gfortran.

Package: gcc-mips64el-linux-gnuabi64
Architecture: mips64el
Multi-Arch: foreign
Depends: gcc
Description: brings in gcc targeting mips64el-linux-gnuabi64
 Ensures that there is a mips64el-linux-gnuabi64-gcc program that can create
 binaries for mips64el-linux-gnuabi64. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/gcc.

Package: g++-mips64el-linux-gnuabi64
Architecture: mips64el
Multi-Arch: foreign
Depends: g++
Description: brings in g++ targeting mips64el-linux-gnuabi64
 Ensures that there is a mips64el-linux-gnuabi64-g++ program that can create
 binaries for mips64el-linux-gnuabi64. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/g++.
