## gcc-cross-support 3

=== debian/changelog ===
gcc-cross-support (3) experimental; urgency=medium

  * Temporarily drop powerpcel architectures: Rejected by dak.

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 06 Jan 2015 22:43:18 +0100

gcc-cross-support (2) experimental; urgency=medium

  * Make debian/control reproducible by sorting architectures.
  * Make the build fail if debian/control is outdated.
  * Declare compliance with policy version 3.9.6.
  * Wrap package descriptions to 80 characters.
  * Support arch-only and indep-only builds.

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 06 Jan 2015 21:42:10 +0100
