=== debian/control ===
Source: gcc-cross-support
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Section: devel
Priority: extra
Maintainer: Helmut Grohne <helmut@subdivi.de>

Package: gcc-for-host
Architecture: any
Multi-Arch: same
Depends: gcc-${host:gnu-type}
Description: provides gcc targeting reverse dependencies' architectures
 Ensures that there is a <triplet>-gcc binary that can create binaries for
 the architecture of the depending package. In particular, packages depending
 on this package must not use /usr/bin/gcc.

Package: gcc-for-build
Architecture: all
Multi-Arch: foreign
Depends: gcc
Description: provides gcc for building build architecture binaries
 Ensures that there is a gcc binary that can create executable build
 architecture binaries. No provitions are made about the build architecture
 besides being executable.

Package: g++-for-host
Architecture: any
Multi-Arch: same
Depends: g++-${host:gnu-type}
Description: provides g++ targeting reverse dependencies' architectures
 Ensures that there is a <triplet>-g++ binary that can create binaries for
 the architecture of the depending package. In particular, packages depending
 on this package must not use /usr/bin/g++.

Package: g++-for-build
Architecture: all
Multi-Arch: foreign
Depends: g++
Description: provides g++ for building build architecture binaries
 Ensures that there is a g++ binary that can create executable build
 architecture binaries. No provitions are made about the build architecture
 besides being executable.

Package: cpp-for-host
Architecture: any
Multi-Arch: same
Depends: cpp-${host:gnu-type}
Description: provides cpp targeting reverse dependencies' architectures
 Ensures that there is a <triplet>-cpp binary that can create binaries for
 the architecture of the depending package. In particular, packages depending
 on this package must not use /usr/bin/cpp.

Package: cpp-for-build
Architecture: all
Multi-Arch: foreign
Depends: cpp
Description: provides cpp for building build architecture binaries
 Ensures that there is a cpp binary that can create executable build
 architecture binaries. No provitions are made about the build architecture
 besides being executable.

Package: gfortran-for-host
Architecture: any
Multi-Arch: same
Depends: gfortran-${host:gnu-type}
Description: provides gfortran targeting reverse dependencies' architectures
 Ensures that there is a <triplet>-gfortran binary that can create binaries for
 the architecture of the depending package. In particular, packages depending
 on this package must not use /usr/bin/gfortran.

Package: gfortran-for-build
Architecture: all
Multi-Arch: foreign
Depends: gfortran
Description: provides gfortran for building build architecture binaries
 Ensures that there is a gfortran binary that can create executable build
 architecture binaries. No provitions are made about the build architecture
 besides being executable.

Package: gcc-alpha-linux-gnu
Architecture: alpha
Multi-Arch: foreign
Depends: gcc
Description: brings in gcc targeting alpha-linux-gnu
 Ensures that there is a alpha-linux-gnu-gcc program that can create binaries
 for alpha-linux-gnu. When crossing this package must be provided by the
 cross toolchain. In particular, packages depending on this package must not
 use /usr/bin/gcc.

Package: g++-alpha-linux-gnu
Architecture: alpha
Multi-Arch: foreign
Depends: g++
Description: brings in g++ targeting alpha-linux-gnu
 Ensures that there is a alpha-linux-gnu-g++ program that can create binaries
 for alpha-linux-gnu. When crossing this package must be provided by the
 cross toolchain. In particular, packages depending on this package must not
 use /usr/bin/g++.

Package: cpp-alpha-linux-gnu
Architecture: alpha
Multi-Arch: foreign
Depends: cpp
Description: brings in cpp targeting alpha-linux-gnu
 Ensures that there is a alpha-linux-gnu-cpp program that can create binaries
 for alpha-linux-gnu. When crossing this package must be provided by the
 cross toolchain. In particular, packages depending on this package must not
 use /usr/bin/cpp.

Package: gfortran-alpha-linux-gnu
Architecture: alpha
Multi-Arch: foreign
Depends: gfortran
Description: brings in gfortran targeting alpha-linux-gnu
 Ensures that there is a alpha-linux-gnu-gfortran program that can create
 binaries for alpha-linux-gnu. When crossing this package must be provided
 by the cross toolchain. In particular, packages depending on this package
 must not use /usr/bin/gfortran.

Package: gcc-x86-64-linux-gnu
Architecture: amd64
Multi-Arch: foreign
Depends: gcc
Description: brings in gcc targeting x86_64-linux-gnu
 Ensures that there is a x86_64-linux-gnu-gcc program that can create binaries
 for x86_64-linux-gnu. When crossing this package must be provided by the
 cross toolchain. In particular, packages depending on this package must not
 use /usr/bin/gcc.

Package: g++-x86-64-linux-gnu
Architecture: amd64
Multi-Arch: foreign
Depends: g++
Description: brings in g++ targeting x86_64-linux-gnu
 Ensures that there is a x86_64-linux-gnu-g++ program that can create binaries
 for x86_64-linux-gnu. When crossing this package must be provided by the
 cross toolchain. In particular, packages depending on this package must not
 use /usr/bin/g++.

Package: cpp-x86-64-linux-gnu
Architecture: amd64
Multi-Arch: foreign
Depends: cpp
Description: brings in cpp targeting x86_64-linux-gnu
 Ensures that there is a x86_64-linux-gnu-cpp program that can create binaries
 for x86_64-linux-gnu. When crossing this package must be provided by the
 cross toolchain. In particular, packages depending on this package must not
 use /usr/bin/cpp.

Package: gfortran-x86-64-linux-gnu
Architecture: amd64
Multi-Arch: foreign
Depends: gfortran
Description: brings in gfortran targeting x86_64-linux-gnu
 Ensures that there is a x86_64-linux-gnu-gfortran program that can create
 binaries for x86_64-linux-gnu. When crossing this package must be provided
 by the cross toolchain. In particular, packages depending on this package
 must not use /usr/bin/gfortran.

Package: gcc-arm-linux-gnu
Architecture: arm
Multi-Arch: foreign
Depends: gcc
Description: brings in gcc targeting arm-linux-gnu
 Ensures that there is a arm-linux-gnu-gcc program that can create binaries
 for arm-linux-gnu. When crossing this package must be provided by the cross
 toolchain. In particular, packages depending on this package must not use
 /usr/bin/gcc.

Package: g++-arm-linux-gnu
Architecture: arm
Multi-Arch: foreign
Depends: g++
Description: brings in g++ targeting arm-linux-gnu
 Ensures that there is a arm-linux-gnu-g++ program that can create binaries
 for arm-linux-gnu. When crossing this package must be provided by the cross
 toolchain. In particular, packages depending on this package must not use
 /usr/bin/g++.

Package: cpp-arm-linux-gnu
Architecture: arm
Multi-Arch: foreign
Depends: cpp
Description: brings in cpp targeting arm-linux-gnu
 Ensures that there is a arm-linux-gnu-cpp program that can create binaries
 for arm-linux-gnu. When crossing this package must be provided by the cross
 toolchain. In particular, packages depending on this package must not use
 /usr/bin/cpp.

Package: gfortran-arm-linux-gnu
Architecture: arm
Multi-Arch: foreign
Depends: gfortran
Description: brings in gfortran targeting arm-linux-gnu
 Ensures that there is a arm-linux-gnu-gfortran program that can create
 binaries for arm-linux-gnu. When crossing this package must be provided by
 the cross toolchain. In particular, packages depending on this package must
 not use /usr/bin/gfortran.

Package: gcc-aarch64-linux-gnu
Architecture: arm64
Multi-Arch: foreign
Depends: gcc
Description: brings in gcc targeting aarch64-linux-gnu
 Ensures that there is a aarch64-linux-gnu-gcc program that can create binaries
 for aarch64-linux-gnu. When crossing this package must be provided by the
 cross toolchain. In particular, packages depending on this package must not
 use /usr/bin/gcc.

Package: g++-aarch64-linux-gnu
Architecture: arm64
Multi-Arch: foreign
Depends: g++
Description: brings in g++ targeting aarch64-linux-gnu
 Ensures that there is a aarch64-linux-gnu-g++ program that can create binaries
 for aarch64-linux-gnu. When crossing this package must be provided by the
 cross toolchain. In particular, packages depending on this package must not
 use /usr/bin/g++.

Package: cpp-aarch64-linux-gnu
Architecture: arm64
Multi-Arch: foreign
Depends: cpp
Description: brings in cpp targeting aarch64-linux-gnu
 Ensures that there is a aarch64-linux-gnu-cpp program that can create binaries
 for aarch64-linux-gnu. When crossing this package must be provided by the
 cross toolchain. In particular, packages depending on this package must not
 use /usr/bin/cpp.

Package: gfortran-aarch64-linux-gnu
Architecture: arm64
Multi-Arch: foreign
Depends: gfortran
Description: brings in gfortran targeting aarch64-linux-gnu
 Ensures that there is a aarch64-linux-gnu-gfortran program that can create
 binaries for aarch64-linux-gnu. When crossing this package must be provided
 by the cross toolchain. In particular, packages depending on this package
 must not use /usr/bin/gfortran.

Package: gcc-armeb-linux-gnu
Architecture: armeb
Multi-Arch: foreign
Depends: gcc
Description: brings in gcc targeting armeb-linux-gnu
 Ensures that there is a armeb-linux-gnu-gcc program that can create binaries
 for armeb-linux-gnu. When crossing this package must be provided by the
 cross toolchain. In particular, packages depending on this package must not
 use /usr/bin/gcc.

Package: g++-armeb-linux-gnu
Architecture: armeb
Multi-Arch: foreign
Depends: g++
Description: brings in g++ targeting armeb-linux-gnu
 Ensures that there is a armeb-linux-gnu-g++ program that can create binaries
 for armeb-linux-gnu. When crossing this package must be provided by the
 cross toolchain. In particular, packages depending on this package must not
 use /usr/bin/g++.

Package: cpp-armeb-linux-gnu
Architecture: armeb
Multi-Arch: foreign
Depends: cpp
Description: brings in cpp targeting armeb-linux-gnu
 Ensures that there is a armeb-linux-gnu-cpp program that can create binaries
 for armeb-linux-gnu. When crossing this package must be provided by the
 cross toolchain. In particular, packages depending on this package must not
 use /usr/bin/cpp.

Package: gfortran-armeb-linux-gnu
Architecture: armeb
Multi-Arch: foreign
Depends: gfortran
Description: brings in gfortran targeting armeb-linux-gnu
 Ensures that there is a armeb-linux-gnu-gfortran program that can create
 binaries for armeb-linux-gnu. When crossing this package must be provided
 by the cross toolchain. In particular, packages depending on this package
 must not use /usr/bin/gfortran.

Package: gcc-arm-linux-gnueabi
Architecture: armel
Multi-Arch: foreign
Depends: gcc
Description: brings in gcc targeting arm-linux-gnueabi
 Ensures that there is a arm-linux-gnueabi-gcc program that can create binaries
 for arm-linux-gnueabi. When crossing this package must be provided by the
 cross toolchain. In particular, packages depending on this package must not
 use /usr/bin/gcc.

Package: g++-arm-linux-gnueabi
Architecture: armel
Multi-Arch: foreign
Depends: g++
Description: brings in g++ targeting arm-linux-gnueabi
 Ensures that there is a arm-linux-gnueabi-g++ program that can create binaries
 for arm-linux-gnueabi. When crossing this package must be provided by the
 cross toolchain. In particular, packages depending on this package must not
 use /usr/bin/g++.

Package: cpp-arm-linux-gnueabi
Architecture: armel
Multi-Arch: foreign
Depends: cpp
Description: brings in cpp targeting arm-linux-gnueabi
 Ensures that there is a arm-linux-gnueabi-cpp program that can create binaries
 for arm-linux-gnueabi. When crossing this package must be provided by the
 cross toolchain. In particular, packages depending on this package must not
 use /usr/bin/cpp.

Package: gfortran-arm-linux-gnueabi
Architecture: armel
Multi-Arch: foreign
Depends: gfortran
